#pragma once

#include "CoreMinimal.h"
#include "ShapeSweepInfo.generated.h"

class AActor;

USTRUCT(BlueprintType)
struct FShapeSweepInfo
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<AActor*> IgnoredActors;

public:
	PROJECTILE_API FShapeSweepInfo();
};

FORCEINLINE uint32 GetTypeHash(const FShapeSweepInfo) { return 0; }
